# -*- coding: ISO-8859-1 -*-
#############################################
## (C)opyright by spirito GmbH, 2002       ##
## All rights reserved                     ##
#############################################

__version__ = "$Revision: 1.8 $"
__author__  = "$Author: holtwick $"
__date__    = "$Date: 2007/03/28 12:50:33 $"

if __name__=="__main__":

    import sys
    import cgi
    import copy
    import string
    import os
    import os.path
    import tempfile
    import time
    import types
    import cStringIO as StringIO
    import re

    #sys.path.append(".."+os.sep+"..")
    sys.path.append(os.getcwd())

    from sx.pisa2.pml_utils import *
    from sx.pisa2.pml_defs import *

    import sx.pisa2.pml as pml

    ARGMOD = {
        1:  "Class",
        2:  "Boolean",
        3:  "Font",
        4:  "Color",
        5:  "File",
        6:  "Size",
        7:  "Integer",
        8:  "String",
        9:  "Box",
        10: "Position",
        11: "Style",
        }

    #~ docpath = ".."+os.sep+".."+os.sep+"pisa"+os.sep+"doc"+os.sep
    docpath = "doc"+os.sep

    rx = re.compile("<h3[^>]*>(.*?)</h3>", re.IGNORECASE|re.M|re.I|re.DOTALL)

    trans_en = {
        "page": "Page",
        "block": "(block)",
        "ref": "Reference",
        }

    trans_de = {
        "page": "Seite",
        "block": "(Block)",
        "ref": "Referenz",
        }

    trans = {
        "en": trans_en,
        "de": trans_de,
        }

    def gendok(lang="en"):
        doku = {}
        txt = open("%spisa_%s.html" % (docpath, lang), "r").read()
        #txt = re.sub("<a\s*name.*?>", "", txt)
        d = rx.split(txt)[1:]
        while d:
            name = d.pop(0).strip().lower()
            txt = d.pop(0)
            doku[name] = txt
            # print "found", name
        f = StringIO.StringIO()
        tags = TAGS.keys()
        tags.sort()
        for tag in tags:
            block, attrs = TAGS[tag]
            block = (""," " + trans[lang]["block"])[block]
            f.write('<h3 outline="%s"><a name="%s">%s%s</a></h3>\n' % (tag, tag, tag, block))
            if attrs:
                f.write('<table border="0" cellpadding="0" width="100%">')
                attname = attrs.keys()
                attname.sort()
                for attr in attname:
                    arg = attrs[attr]
                    must = ""
                    if type(arg) == type((0,)):
                        mod, default = arg
                        if default==MUST:
                            must = "*"
                            default = ""
                    else:
                        mod = arg
                        default = ""
                    f.write('\n<tr><td width="3.5cm" class="attrdef" valign="top">%s%s</td><td class="attrdesc" valign="top">' % (attr, must))
                    if type(mod)==type([]):
                        f.write("<b>Choice</b> " + ", ".join(map(lambda x: "'"+str(x)+"'", mod)))
                    else:
                        # print mod
                        f.write("<b>%s</b>" % (ARGMOD[mod]))
                    if default:
                        f.write(" [default: '%s']" % (default))
                    f.write("</td></tr>")
                f.write('\n</table><spacer height="10">')

            if not doku.has_key(tag):
                print "%s: missing <%s>" % (lang,tag)
            f.write("\n" + doku.get(tag,"*** not defined ***"))

        # Write document
        content = f.getvalue()
        text = open("%spisa_main_%s.html" % (docpath, lang), "r").read()
        f = open("%spisa_api_%s.pml" % (docpath, lang), "w")
        f.write("""
            <document author="spirito GmbH" showoutline="1" outline="3">

            <fontembed afm="font/DINLt___.afm" pfb="font/DINLt___.pfb" name="DIN-Light">
            <fontembed afm="font/DIN_BOLD.afm" pfb="font/DIN_BOLD.pfb" name="DIN-Bold">
            <fontembed afm="font/DINMEDIU.afm" pfb="font/DINMEDIU.pfb" name="DINMedium">
            <!-- fontembed ttf="font/VeraMono.ttf" name="VeraMono" -->

            <link rel="stylesheet" type="text/css" href="pisa_api.css">

            <pdf:template background="spirito_bg.pdf">
                <pdf:frame name="body" box="2cm 2cm -3cm -3cm">
            </pdf:template>

            <template name="textpage">
                <frame box="2cm 2cm -1cm -3cm">
                <static box="2cm -2cm -1cm -1cm">
                <hr>
                  <p align="right">%(page)s <pagenumber example="00"></p>
                </static>
            </template>

            <nexttemplate name="textpage">
            """ % trans[lang])
        f.write(text.replace("[content]", content))
        f.write("""
            </document>
            """)
        f.close()

        pdf = pml.CreatePDF(
            os.path.abspath("%spisa_api_%s.pml" % (docpath, lang)),
            os.path.abspath("%spisa_api_%s.pdf" % (docpath, lang)),
            css = 1,
            errout = sys.stdout,
            )

        if pdf.log:
            for mode, line, msg, code in pdf.log:
                print "%s in line %d: %s" % (mode, line, msg)

        if pdf.err:
            print "*** %d ERRORS OCCURED" % pdf.err

        nf = os.path.abspath("%spisa_api_%s.pdf" % (docpath, lang))
        print "resulting pdf:", nf
        try:
            os.startfile(nf)
        except:
            cmd = 'open "%s"' % nf
            os.system(cmd)

if __name__=="__main__":
    gendok("en")
    gendok("de")
