
            <document author="spirito GmbH" showoutline="1" outline="3">

            <fontembed afm="font/DINLt___.afm" pfb="font/DINLt___.pfb" name="DIN-Light">
            <fontembed afm="font/DIN_BOLD.afm" pfb="font/DIN_BOLD.pfb" name="DIN-Bold">
            <fontembed afm="font/DINMEDIU.afm" pfb="font/DINMEDIU.pfb" name="DINMedium">
            <!-- fontembed ttf="font/VeraMono.ttf" name="VeraMono" -->

            <link rel="stylesheet" type="text/css" href="pisa_api.css">

            <pdf:template background="spirito_bg.pdf">
                <pdf:frame name="body" box="2cm 2cm -3cm -3cm">
            </pdf:template>

            <template name="textpage">
                <frame box="2cm 2cm -1cm -3cm">
                <static box="2cm -2cm -1cm -1cm">
                <hr>
                  <p align="right">Page <pagenumber example="00"></p>
                </static>
            </template>

            <nexttemplate name="textpage">
            <spacer height="5cm">
<div class="title">pisa</div>
<div class="subtitle">Simple PDF generator</div>
<div class="copyright">(C)opyright by spirito GmbH, 2005</div>
<nextpage>
<h1>Introduction</h1>
<p>PDF Markup Language (<b>PML</b>) is a  SGML-Dialect that is very similar to HTML and in lardge parts is also compatible. PML is build o the PDF toolkit of tReportlab (<a href="http://www.reportlab.com/">http://www.reportlab.com/</a>). You will find more interesting information in there documentation, too.</p>
<p>Commands that are not recognized by PML will be ignored. Therefore it should be possible to use normal HTML with PML.</p>
<h2>Usage of the command line tool </h2>
<p>For&uuml;r die ersten Tests bietet sich die Verwendung des Kommandozeilentools
  an. Unter Windows wechseln sie in das Kommandofenster und dann in das Verzeichnis
  in dem sich die Datei &quot;pisa.exe&quot; befindet, oder sie binden
  das Tool in den Suchpfad ein. Nun erzeugen sie ein Datei &quot;test.pml&quot; in
  der sie ein einfaches Demo in PML programmieren. Es folgt der eigentliche &Uuml;bersetzungsvorgang,
  z.&nbsp;B. so :</p>
<pre>pisa test.pml test.pdf</pre>
<p>Als Ergebnis erhalten sie die Datei &quot;test.pdf&quot;, die sich dann
  im AcrobatReader ansehen k&ouml;nnen. Geben Sie &quot;pisa -h&quot; ein um
  alle weiteren verf&uuml;gbaren Optionen zu sehen.</p>
<h2>Usage of the Python module</h2>
<h3>Installation</h3>
<p>Install &quot;pisa&quot; as usual e.g. like this:</p>
<pre>python setup.py install </pre>
<p>Windows users should install the special package.</p>
<p>You will need the <tt>reportlab</tt> package vesion
  1.20 (<a href="http://www.reportlab.com/download.html">http://www.reportlab.com/download.html</a>). For better image support install also the optional PIL package
  (<a href="http://www.pythonware.com/products/pil/">http://www.pythonware.com/products/pil/</a>).</p>
<h3>Usage</h3>
<p>This is a very simple example:</p>
<pre>import spirito.pisa<br>pdf = spirito.pisa.CreatePDF("Hello&lt;b&gt;World&lt;/b&gt;", open("test.pdf","wb"))</pre>
<p>After starting this program a file named <tt>test.pdf</tt> will be created with the content "Hello <b>World</b>".
</p>
<h2>Examples</h2>
<p>The usual &quot;Hello world&quot; example:</p>
<pre>Hello World</pre>
<p>Now for something more complex:</p>
<pre>&lt;document&gt;<br><br> &lt;template name="second"&gt;<br>   &lt;frame box="1cm 1cm 10cm 10cm"&gt;<br> &lt;/template&gt;<br><br> &lt;style font="Times-Roman"&gt;<br><br> Hallo:<br> &lt;ol&gt;<br> &lt;li&gt; frst<br> &lt;li&gt; second<br> &lt;/ol&gt;<br><br> &lt;nexttemplate name="second"&gt;<br> &lt;nextpage&gt;<br><br> Top left corner<br>&lt;/document&gt;</pre>
<h2>Positioning</h2>
<p>&Uuml;blicherweise liegt das Koordinatensystem bei PDF-Dateien in der Ecke
  unten links. F&uuml;r PML wurde der Ursprung in die Ecke oben links verlegt,
  um das visuelle Arbeiten wie bei HTML-Seiten zu vereinfachen. Die x-Koordinate
  gibt die Strecke nach rechts an, die y-Koordinate die nach unten. </p>
<h2>Size of page</h2>
<p>Es werden diverse Seitenformate unterst&uuml;tzt. Als Default ist DIN A4 eingestellt.
  Siehe &lt;document&gt;</p>
<h2>Allgemeine Benutzungsschwerpunkte</h2>
<h3>Template Definition</h3>
<p>xxx</p>
<h3>Verweise</h3>
<p>xxx</p>
<h3>Bilder</h3>
<p>xxx</p>
<h2>Cascading Style Sheets</h2>
<p>pisa kann auch ausgezeichnet mit Cascading Style Sheet (CSS) Definitionen
  wie in HTML umgehen. Folgende Eigenschaften werden unterst&uuml;tzt:</p>
<ul>
  <li>font-family</li>
  <li>font-size</li>
  <li>color</li>
  <li>line-height</li>
  <li>background-color</li>
  <li>text-decoration: none, underline</li>
  <li>font-weight: bold</li>
  <li>text-align: left, center, right, justify</li>
  <li>text-indent: italic, oblique</li>
  <li>margin</li>
  <li>margin-left</li>
  <li>margin-right</li>
  <li>margin-top</li>
  <li>margin-bottom</li>
</ul>
<p>Leider ist die Unterst&uuml;tzung von CSS noch nicht idiotensicher, z.B. muss bei
  font-family genau ein Name eingegeben werden und dieser ist auch in der Gro&szlig;-
  und Kleinschreibung relevant, wie sonst auch. Daf&uuml;r k&ouml;nnen Gr&ouml;&szlig;en und andere
  Ma&szlig;e auch in Zentimetern etc. angegeben werden. padding wird nicht unterst&uuml;tzt,
  da die reportlab-Library daf&uuml;r auch keine Funktionalit&auml;t vorsieht.</p>
<h3>Example</h3>
<p>Es folgt ein einfaches Beispiel:</p>
<pre>&lt;style type=&quot;text/css&quot;&gt;<br>&lt;!--<br>h1 {<br>	font-size: 16px;<br>	font-weight: bold;<br>	color: #000000;<br>	margin-bottom: 8px;<br>	margin-top: 0px;<br>	font-family: Helvetica;<br>}<br>.test {<br>	color: #444444;<br>	font-family: Helvetica;<br>	font-size: 9px;<br>}<br>p {<br>	font-size: 10px;<br>	margin-bottom: 8px;<br>}<br>--&gt;<br>&lt;/style&gt;<br><br>&lt;h1&gt;&Uuml;berschrift&lt;/h1&gt;<br>&lt;p&gt;Normaler &lt;span class=&quot;test&quot;&gt;Text&lt;/span&gt;&lt;/p&gt;
</pre>
<h3>Todo</h3>
<ul>
  <li>Verarbeitung von Schriften unempfindlicher machen</li>
  <li>Die bestehenden CSS M&ouml;glichkeiten f&uuml;r media:print unterst&uuml;tzen</li>
  <li>Den LINK-Tag unterst&uuml;ttzen</li>
  <li>&quot;border&quot; unterst&uuml;tzen</li>
  <li>Weitere komplexe Definitionsm&ouml;glichkeiten erlauben</li>
</ul>
<nextpage>
<h1>Reference</h1>
<h2>Legend</h2>
<p>Jeder Befehl wird einzeln beschrieben. Im Titel steht der Name des Befehls
  evtl. gefolgt von dem Begriff "(Block)". Dieser Begriff weist darauf hin, dass
  auch ein schlie&szlig;ender Tag erwartet wird, z.B. &lt;p&gt;...&lt;/p&gt;.</p>
<p>In den n&auml;chsten Zelen folgen die einzelnen Attribute die angewendet werden
  K&ouml;nnen oder M&uuml;ssen. Die unbedingt erwarteten Attribute sind zus&auml;tzlich
  mit einem Stern versehen. Danach folgt jeweils der Typ des Wertes, die im folgenden
  einzeln beschrieben werden. In eckigen Klammern wird - wenn vorhanden - der
  Default-Wert angegeben.</p>
<h3><b>Boolean</b></h3>
<p>Wahr oder Falsch. Falsch wird ausgedr&uuml;ckt durch "0" oder "false", alle
  anderen Werte werden als Wahr interpretiert.</p>
<h3><b>Integer</b></h3>
<p>Ganze Zahl.</p>
<h3><b>String</b></h3>
<p>Zeichenkkette</p>
<h3><b>File</b></h3>
<p>Ein Dateiname, der sowohl absolut als auch relativ angegeben werden kann.
  XXX</p>
<h3><b>Font</b></h3>
<p>Name eine installierten oder vorher importierten Schrift. Folgende Schriften
  sind bei PDF vordefinier:</p>
<pre>Courier<br>Courier-Bold<br>Courier-BoldOblique<br>Courier-Oblique<br>Helvetica<br>Helvetica-Bold<br>Helvetica-BoldOblique<br>Helvetica-Oblique<br>Symbol<br>Times-Bold<br>Times-BoldItalic<br>Times-Italic<br>Times-Roman<br>Zapf-Dingbats</pre>
<h3><b>Color</b></h3>
<p>Farbwert. Wird in der Regel durch einen RGB-Wert in Hexadezimalschreibweise
  angegeben, z.&nbsp;B. "#ff0000". Es ist aber auch m&ouml;glich g&auml;ngige
  Farbnamen zu benutzen,wie z.B. "red", "green", "blue" etc.</p>
<h3><b>Size</b></h3>
<p>Gr&ouml;&szlig;enangabe. Es wird ein Flie&szlig;kommazahlenwert angegeben,
  der dann in Punkte umgerechnet wird. An die Zahl k&ouml;nnen aber auch Identifikatoren
  (ohne Leerzeichen!) angeh&auml;ngt werden, die eine Umrechnung erm&ouml;glichen.
  Diese lauten wie folgt: </p>
<ul>
  <li>
    "cm" f&uuml;r Zentimeter
  </li>
  <li>
    "i", "in" oder "inch" f&uuml;r Inch
  </li>
  <li>
    "pt" oder "px" f&uuml;r Punkte
  </li>
</ul>
<h3><b>Style</b></h3>
<p>Name des Styles, der mit dem Befehl "class" definiert wurde.</p>
<h3><b>Box</b></h3>
<p>Es werden vier Gr&ouml;&szlig;enangaben erwartet, die jeweils durch Leerzeichen
  voneinander getrennt sind. Die ersten zwei Werte geben die obere linke Ecke
  an und die beiden folgenden die Breite und H&ouml;he. Es ist auch m&ouml;glich
  durch negative Vorzeichen bei den letzten beiden Werten einen Abstand relativ
  zum &auml;u&szlig;eren Rand anzugeben. Bei einer Frame-Definition bedeutet
  folgender Wert: &quot;1cm 1cm -1cm -1cm&quot;, dass dieser Bereich zu allen
  R&auml;ndern einen 1cm Abstand hat.</p>
<h3><b>Position</b></h3>
<p>Besteht aus zwei durch Leerzeichen getrennten Werten, die eine X/Y-Koordinate
  definieren.</p>
<h3><b>Choice</b>
</h3>
<p>Auswahl aus einer vorgegebenen Menge von Werten, die in der Definition ausf&uuml;hrlich
  angegeben sind.</p>
 <nextpage>
<h2>Befehle</h2>
<p>Im Folgenden finden Sie eine genaue Beschreibung der einzelnen Befehle.</p>
<p><h3 outline="a"><a name="a">a (block)</a></h3>
<table border="0" cellpadding="0" width="100%">
<tr><td width="3.5cm" class="attrdef" valign="top">class</td><td class="attrdesc" valign="top"><b>Class</b> [default: 'a']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">href</td><td class="attrdesc" valign="top"><b>String</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">name</td><td class="attrdesc" valign="top"><b>String</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">style</td><td class="attrdesc" valign="top"><b>Style</b></td></tr>
</table><spacer height="10">

<p>Like HTML.<br>
</p>
<pre>&lt;a href="#test"&gt;zur n&auml;chsten Seite&lt;/a&gt;.<br>&lt;nextpage&gt;<br>&lt;a name="test"&gt;&lt;/a&gt;Neue Seite<br></pre>
<h3 outline="b"><a name="b">b (block)</a></h3>
<table border="0" cellpadding="0" width="100%">
<tr><td width="3.5cm" class="attrdef" valign="top">class</td><td class="attrdesc" valign="top"><b>Class</b> [default: 'b']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">style</td><td class="attrdesc" valign="top"><b>Style</b></td></tr>
</table><spacer height="10">

<p>Q.v. <a href="#strong">&lt;strong&gt;</a>. <br>
</p>
<h3 outline="br"><a name="br">br</a></h3>
<table border="0" cellpadding="0" width="100%">
<tr><td width="3.5cm" class="attrdef" valign="top">class</td><td class="attrdesc" valign="top"><b>Class</b> [default: 'br']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">style</td><td class="attrdesc" valign="top"><b>Style</b></td></tr>
</table><spacer height="10">

<p>Line break.</p>
<h3 outline="dd"><a name="dd">dd (block)</a></h3>
<table border="0" cellpadding="0" width="100%">
<tr><td width="3.5cm" class="attrdef" valign="top">class</td><td class="attrdesc" valign="top"><b>Class</b> [default: 'dd']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">style</td><td class="attrdesc" valign="top"><b>Style</b></td></tr>
</table><spacer height="10">

Description part of definiton liste. Q.v. <a href="#dl">&lt;dl&gt;</a>.<br>
<h3 outline="div"><a name="div">div (block)</a></h3>
<table border="0" cellpadding="0" width="100%">
<tr><td width="3.5cm" class="attrdef" valign="top">align</td><td class="attrdesc" valign="top"><b>Choice</b> 'left', 'center', 'right', 'justify'</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">class</td><td class="attrdesc" valign="top"><b>Class</b> [default: 'div']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">style</td><td class="attrdesc" valign="top"><b>Style</b></td></tr>
</table><spacer height="10">

<p>Q.v. <a href="#p">&lt;p&gt;</a>.</p>
<h3 outline="dl"><a name="dl">dl (block)</a></h3>
<table border="0" cellpadding="0" width="100%">
<tr><td width="3.5cm" class="attrdef" valign="top">class</td><td class="attrdesc" valign="top"><b>Class</b> [default: 'dl']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">style</td><td class="attrdesc" valign="top"><b>Style</b></td></tr>
</table><spacer height="10">

Definition list. <br>
<h3 outline="document"><a name="document">document (block)</a></h3>
<table border="0" cellpadding="0" width="100%">
<tr><td width="3.5cm" class="attrdef" valign="top">author</td><td class="attrdesc" valign="top"><b>String</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">duration</td><td class="attrdesc" valign="top"><b>Integer</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">format</td><td class="attrdesc" valign="top"><b>Choice</b> 'a0', 'a1', 'a2', 'a3', 'a4', 'a5', 'a6', 'b0', 'b1', 'b2', 'b3', 'b4', 'b5', 'b6', 'letter', 'legal', 'elevenseventeen' [default: 'a4']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">fullscreen</td><td class="attrdesc" valign="top"><b>Boolean</b> [default: '0']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">orientation</td><td class="attrdesc" valign="top"><b>Choice</b> 'portrait', 'landscape'</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">outline</td><td class="attrdesc" valign="top"><b>Integer</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">showoutline</td><td class="attrdesc" valign="top"><b>Boolean</b> [default: '0']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">subject</td><td class="attrdesc" valign="top"><b>String</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">title</td><td class="attrdesc" valign="top"><b>String</b></td></tr>
</table><spacer height="10">

<p>First tag of a document wich defines the essential attributes.
"format" Erster Tag eines Dokumentes, der dessen grundlegenden
Eigenschaften
festlegt. "format" gibt das Format der Dokumentenseiten an. &Uuml;ber
"orientation" wird festgelegt, ob die Seite im Hochformat ("portrait")
oder Querformat ("landscape") angezeigt wird. "author" und "title"
werden in die Dokumenteninformation des PDF eingetragen und sind
&uuml;ber entsprechende Funktionen im AcrobatReader auszulesen. Wird
"fullscreen" gesetzt, werden im AcrobatReader die Navigationselemente
ausgeblendet und evtl. &ouml;ffnet sich das Dokument sogar
bildschirmf&uuml;llend (unter Windows abh&auml;ngig davon, ob das PDF
in einem Browser oder direkt im AcrobatReader aufgerufen wird). Wird
"showoutline" gesetzt, so wird die Inhaltsstruktur bei der Anzeige des
PDF automatisch angezeigt. </p>
<h3 outline="drawimg"><a name="drawimg">drawimg</a></h3>
<table border="0" cellpadding="0" width="100%">
<tr><td width="3.5cm" class="attrdef" valign="top">align</td><td class="attrdesc" valign="top"><b>Choice</b> 'left', 'center', 'right' [default: 'right']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">height</td><td class="attrdesc" valign="top"><b>Size</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">pos*</td><td class="attrdesc" valign="top"><b>Position</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">src*</td><td class="attrdesc" valign="top"><b>File</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">valign</td><td class="attrdesc" valign="top"><b>Choice</b> 'top', 'middle', 'bottom' [default: 'bottom']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">width</td><td class="attrdesc" valign="top"><b>Size</b></td></tr>
</table><spacer height="10">
*** not defined ***<h3 outline="drawline"><a name="drawline">drawline</a></h3>
<table border="0" cellpadding="0" width="100%">
<tr><td width="3.5cm" class="attrdef" valign="top">color</td><td class="attrdesc" valign="top"><b>Color</b> [default: '#000000']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">from*</td><td class="attrdesc" valign="top"><b>Position</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">to*</td><td class="attrdesc" valign="top"><b>Position</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">width</td><td class="attrdesc" valign="top"><b>Size</b> [default: '1']</td></tr>
</table><spacer height="10">
*** not defined ***<h3 outline="drawlines"><a name="drawlines">drawlines</a></h3>
<table border="0" cellpadding="0" width="100%">
<tr><td width="3.5cm" class="attrdef" valign="top">color</td><td class="attrdesc" valign="top"><b>Color</b> [default: '#000000']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">coords*</td><td class="attrdesc" valign="top"><b>String</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">width</td><td class="attrdesc" valign="top"><b>Size</b> [default: '1']</td></tr>
</table><spacer height="10">
*** not defined ***<h3 outline="drawpoint"><a name="drawpoint">drawpoint</a></h3>
<table border="0" cellpadding="0" width="100%">
<tr><td width="3.5cm" class="attrdef" valign="top">color</td><td class="attrdesc" valign="top"><b>Color</b> [default: '#000000']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">pos*</td><td class="attrdesc" valign="top"><b>Position</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">width</td><td class="attrdesc" valign="top"><b>Size</b> [default: '1']</td></tr>
</table><spacer height="10">
*** not defined ***<h3 outline="drawstring"><a name="drawstring">drawstring</a></h3>
<table border="0" cellpadding="0" width="100%">
<tr><td width="3.5cm" class="attrdef" valign="top">align</td><td class="attrdesc" valign="top"><b>Choice</b> 'left', 'center', 'right' [default: 'right']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">class</td><td class="attrdesc" valign="top"><b>Class</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">color</td><td class="attrdesc" valign="top"><b>Color</b> [default: '#000000']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">pos*</td><td class="attrdesc" valign="top"><b>Position</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">rotate</td><td class="attrdesc" valign="top"><b>Integer</b> [default: '0']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">text*</td><td class="attrdesc" valign="top"><b>String</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">valign</td><td class="attrdesc" valign="top"><b>Choice</b> 'top', 'middle', 'bottom' [default: 'bottom']</td></tr>
</table><spacer height="10">
*** not defined ***<h3 outline="dt"><a name="dt">dt (block)</a></h3>
<table border="0" cellpadding="0" width="100%">
<tr><td width="3.5cm" class="attrdef" valign="top">class</td><td class="attrdesc" valign="top"><b>Class</b> [default: 'dt']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">style</td><td class="attrdesc" valign="top"><b>Style</b></td></tr>
</table><spacer height="10">

Definition part of the definition list. Q.v. <a href="#dl">&lt;dl&gt;</a>.<br>
<h3 outline="em"><a name="em">em (block)</a></h3>
<table border="0" cellpadding="0" width="100%">
<tr><td width="3.5cm" class="attrdef" valign="top">class</td><td class="attrdesc" valign="top"><b>Class</b> [default: 'em']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">style</td><td class="attrdesc" valign="top"><b>Style</b></td></tr>
</table><spacer height="10">

<p>Emphasize that means italic. Same as&nbsp; <a href="#i">&lt;i&gt;</a>.</p>
<h3 outline="font"><a name="font">font (block)</a></h3>
<table border="0" cellpadding="0" width="100%">
<tr><td width="3.5cm" class="attrdef" valign="top">color</td><td class="attrdesc" valign="top"><b>Color</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">face</td><td class="attrdesc" valign="top"><b>Font</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">size</td><td class="attrdesc" valign="top"><b>Size</b></td></tr>
</table><spacer height="10">

<p>Schriftarten die dem Acrobat Reader bekannt sind, ohne das sie
eingebettet werden m&uuml;&szlig;ten, d.h. auch das bei Verwendung
dieser Schriften das PDF sehr wenig Speicher ben&ouml;tigt:</p>
<h3 outline="fontembed"><a name="fontembed">fontembed</a></h3>
<table border="0" cellpadding="0" width="100%">
<tr><td width="3.5cm" class="attrdef" valign="top">afm</td><td class="attrdesc" valign="top"><b>File</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">alias</td><td class="attrdesc" valign="top"><b>String</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">encoding</td><td class="attrdesc" valign="top"><b>String</b> [default: 'WinAnsiEncoding']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">name</td><td class="attrdesc" valign="top"><b>String</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">pfb</td><td class="attrdesc" valign="top"><b>File</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">print</td><td class="attrdesc" valign="top"><b>Boolean</b> [default: '0']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">ttf</td><td class="attrdesc" valign="top"><b>File</b></td></tr>
</table><spacer height="10">

<p> Bindet PostScript-Schriften zur Benutzung im Dokument ein.
Ben&ouml;tigt werden die Dateien mit den Endungen ".afm" und ".pfb". <font
 color="#ff6666">(Stimmt im moment so nicht: &Uuml;ber das Argument
"name" kann ein Name angegeben werden, &uuml;ber den die Schrift im
folgenden aufgerufen werden kann, sonst wird der Defaultname der
Schrift verwendet. Es empfiehlt sich, das Argument "name" zu verwenden,
um Komplikationen zu vermeiden.)</font> Wurde das Attribut "print"
angegeben, wird in der PDF Datei eine Debugging-Meldung &uuml;ber den
erfolgreichen Import der Schrift und deren Defaultname ausgegeben. <br>
</p>
<p>Ein einbinden von TrueType-Schriften wird in einer sp&auml;teren
Version verf&uuml;gbar sein.<br>
</p>
<h3 outline="frame"><a name="frame">frame</a></h3>
<table border="0" cellpadding="0" width="100%">
<tr><td width="3.5cm" class="attrdef" valign="top">border</td><td class="attrdesc" valign="top"><b>Boolean</b> [default: '0']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">box*</td><td class="attrdesc" valign="top"><b>Box</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">name</td><td class="attrdesc" valign="top"><b>String</b></td></tr>
</table><spacer height="10">

<p> Spannt sogenannte Frames auf in die der Text flie&szlig;en kann.
Diese Befehl muss umschlossen sein von dem Befehl "template". Ist ein
Frame voll flie&szlig;t der Text in dem n&auml;chsten Frame weiter in
der Reihenfolge ihrer Definition. Gibt es keinen nicht benutzten Frame
mehr in einem Template wird eine neue Seite erzeugt.</p>
<p>Siehe auch <a href="#template">template</a>. </p>
<h3 outline="h1"><a name="h1">h1 (block)</a></h3>
<table border="0" cellpadding="0" width="100%">
<tr><td width="3.5cm" class="attrdef" valign="top">class</td><td class="attrdesc" valign="top"><b>Class</b> [default: 'h1']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">closed</td><td class="attrdesc" valign="top"><b>Integer</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">outline</td><td class="attrdesc" valign="top"><b>String</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">style</td><td class="attrdesc" valign="top"><b>Style</b></td></tr>
</table><spacer height="10">

<p>Header of 1st order. With "outline" you specify the name under wich
this header may be reached via the PDF outline structure.<br>
</p>
<h3 outline="h2"><a name="h2">h2 (block)</a></h3>
<table border="0" cellpadding="0" width="100%">
<tr><td width="3.5cm" class="attrdef" valign="top">class</td><td class="attrdesc" valign="top"><b>Class</b> [default: 'h2']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">closed</td><td class="attrdesc" valign="top"><b>Integer</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">outline</td><td class="attrdesc" valign="top"><b>String</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">style</td><td class="attrdesc" valign="top"><b>Style</b></td></tr>
</table><spacer height="10">

<p>Header of 2nd order. Q.v. <a href="#h1">&lt;h1&gt;</a>.</p>
<h3 outline="h3"><a name="h3">h3 (block)</a></h3>
<table border="0" cellpadding="0" width="100%">
<tr><td width="3.5cm" class="attrdef" valign="top">class</td><td class="attrdesc" valign="top"><b>Class</b> [default: 'h3']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">closed</td><td class="attrdesc" valign="top"><b>Integer</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">outline</td><td class="attrdesc" valign="top"><b>String</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">style</td><td class="attrdesc" valign="top"><b>Style</b></td></tr>
</table><spacer height="10">

<p>Header of 3rd order. Q.v. <a href="pisa_en.html#h1">&lt;h1&gt;</a>.</p>
<h3 outline="h4"><a name="h4">h4 (block)</a></h3>
<table border="0" cellpadding="0" width="100%">
<tr><td width="3.5cm" class="attrdef" valign="top">class</td><td class="attrdesc" valign="top"><b>Class</b> [default: 'h4']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">closed</td><td class="attrdesc" valign="top"><b>Integer</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">outline</td><td class="attrdesc" valign="top"><b>String</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">style</td><td class="attrdesc" valign="top"><b>Style</b></td></tr>
</table><spacer height="10">

<p>Header of 4th order. Q.v. <a href="pisa_en.html#h1">&lt;h1&gt;</a>.</p>
<h3 outline="h5"><a name="h5">h5 (block)</a></h3>
<table border="0" cellpadding="0" width="100%">
<tr><td width="3.5cm" class="attrdef" valign="top">class</td><td class="attrdesc" valign="top"><b>Class</b> [default: 'h5']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">closed</td><td class="attrdesc" valign="top"><b>Integer</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">outline</td><td class="attrdesc" valign="top"><b>String</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">style</td><td class="attrdesc" valign="top"><b>Style</b></td></tr>
</table><spacer height="10">

<p>Header of 5th order. Q.v. <a href="pisa_en.html#h1">&lt;h1&gt;</a>.</p>
<h3 outline="h6"><a name="h6">h6 (block)</a></h3>
<table border="0" cellpadding="0" width="100%">
<tr><td width="3.5cm" class="attrdef" valign="top">class</td><td class="attrdesc" valign="top"><b>Class</b> [default: 'h6']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">closed</td><td class="attrdesc" valign="top"><b>Integer</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">outline</td><td class="attrdesc" valign="top"><b>String</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">style</td><td class="attrdesc" valign="top"><b>Style</b></td></tr>
</table><spacer height="10">

<p>Header of 6th order. Q.v. <a href="pisa_en.html#h1">&lt;h1&gt;</a>.</p>
<h3 outline="hr"><a name="hr">hr</a></h3>
<table border="0" cellpadding="0" width="100%">
<tr><td width="3.5cm" class="attrdef" valign="top">class</td><td class="attrdesc" valign="top"><b>Class</b> [default: 'hr']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">color</td><td class="attrdesc" valign="top"><b>Color</b> [default: '#000000']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">size</td><td class="attrdesc" valign="top"><b>Size</b> [default: '1']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">style</td><td class="attrdesc" valign="top"><b>Style</b></td></tr>
</table><spacer height="10">

<p>Horizontal rule. Set "color" to change its appearance.</p>
<h3 outline="i"><a name="i">i (block)</a></h3>
<table border="0" cellpadding="0" width="100%">
<tr><td width="3.5cm" class="attrdef" valign="top">class</td><td class="attrdesc" valign="top"><b>Class</b> [default: 'i']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">style</td><td class="attrdesc" valign="top"><b>Style</b></td></tr>
</table><spacer height="10">

<p>Q.v. <a href="#em">&lt;em&gt;</a>.</p>
<h3 outline="img"><a name="img">img</a></h3>
<table border="0" cellpadding="0" width="100%">
<tr><td width="3.5cm" class="attrdef" valign="top">align</td><td class="attrdesc" valign="top"><b>Choice</b> 'left', 'center', 'right' [default: 'left']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">class</td><td class="attrdesc" valign="top"><b>Class</b> [default: 'img']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">height</td><td class="attrdesc" valign="top"><b>Size</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">src*</td><td class="attrdesc" valign="top"><b>File</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">style</td><td class="attrdesc" valign="top"><b>Style</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">width</td><td class="attrdesc" valign="top"><b>Size</b></td></tr>
</table><spacer height="10">

<p>Inserts an image into the document. You should use the JPEG format
since this is the native format for bitmap images in PDF, but you may
also use any other format as long as the PIL library for Python is
installed. (Experimental: SVG format is suported if the files suffix is
"svg".)</p>
<h3 outline="keeptogether"><a name="keeptogether">keeptogether (block)</a></h3>

*** not defined ***<h3 outline="li"><a name="li">li (block)</a></h3>
<table border="0" cellpadding="0" width="100%">
<tr><td width="3.5cm" class="attrdef" valign="top">class</td><td class="attrdesc" valign="top"><b>Class</b> [default: 'li']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">style</td><td class="attrdesc" valign="top"><b>Style</b></td></tr>
</table><spacer height="10">

<p>List element. Q.v. <a href="#ol">&lt;ol&gt;</a> and <a href="#ul">&lt;ul&gt;</a>.</p>
<h3 outline="link"><a name="link">link</a></h3>
<table border="0" cellpadding="0" width="100%">
<tr><td width="3.5cm" class="attrdef" valign="top">href*</td><td class="attrdesc" valign="top"><b>File</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">rel</td><td class="attrdesc" valign="top"><b>String</b> [default: 'stylesheet']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">type</td><td class="attrdesc" valign="top"><b>String</b> [default: 'text/css']</td></tr>
</table><spacer height="10">
*** not defined ***<h3 outline="nextframe"><a name="nextframe">nextframe</a></h3>


<p> Jump to next unused frame on the same page or to the first on a new
page. You may not jump to a named frame.</p>
<h3 outline="nextpage"><a name="nextpage">nextpage</a></h3>
<table border="0" cellpadding="0" width="100%">
<tr><td width="3.5cm" class="attrdef" valign="top">template</td><td class="attrdesc" valign="top"><b>String</b></td></tr>
</table><spacer height="10">

<p>Create a new page after this position.</p>
<h3 outline="nexttemplate"><a name="nexttemplate">nexttemplate</a></h3>
<table border="0" cellpadding="0" width="100%">
<tr><td width="3.5cm" class="attrdef" valign="top">name</td><td class="attrdesc" valign="top"><b>String</b> [default: 'default']</td></tr>
</table><spacer height="10">

<p> Defines the template to be used on the next page. <br>
</p>
<h3 outline="ol"><a name="ol">ol (block)</a></h3>
<table border="0" cellpadding="0" width="100%">
<tr><td width="3.5cm" class="attrdef" valign="top">class</td><td class="attrdesc" valign="top"><b>Class</b> [default: 'ol']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">style</td><td class="attrdesc" valign="top"><b>Style</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">type</td><td class="attrdesc" valign="top"><b>Choice</b> '1', 'a', 'A', 'i', 'I' [default: '1']</td></tr>
</table><spacer height="10">

<p>Ordered list.<br>
</p>
<h3 outline="p"><a name="p">p (block)</a></h3>
<table border="0" cellpadding="0" width="100%">
<tr><td width="3.5cm" class="attrdef" valign="top">align</td><td class="attrdesc" valign="top"><b>Choice</b> 'left', 'center', 'right', 'justify'</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">class</td><td class="attrdesc" valign="top"><b>Class</b> [default: 'p']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">style</td><td class="attrdesc" valign="top"><b>Style</b></td></tr>
</table><spacer height="10">

<p> Paragraph.</p>
<h3 outline="pagenumber"><a name="pagenumber">pagenumber</a></h3>
<table border="0" cellpadding="0" width="100%">
<tr><td width="3.5cm" class="attrdef" valign="top">example</td><td class="attrdesc" valign="top"><b>String</b> [default: '0']</td></tr>
</table><spacer height="10">

Prints current page number. The argument "example" defines the space
the page number will require e.g. "00".<br>
<h3 outline="pre"><a name="pre">pre (block)</a></h3>
<table border="0" cellpadding="0" width="100%">
<tr><td width="3.5cm" class="attrdef" valign="top">class</td><td class="attrdesc" valign="top"><b>Class</b> [default: 'pre']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">style</td><td class="attrdesc" valign="top"><b>Style</b></td></tr>
</table><spacer height="10">

<p>Preformatted text.</p>
<h3 outline="spacer"><a name="spacer">spacer</a></h3>
<table border="0" cellpadding="0" width="100%">
<tr><td width="3.5cm" class="attrdef" valign="top">height*</td><td class="attrdesc" valign="top"><b>Size</b></td></tr>
</table><spacer height="10">

<p> Generiert einen neuen Absatz bei dem zus&auml;tzlich bestimmt
werden kann, wie viel Abstand genau zum n&auml;chsten Absatz
freigelassen werden soll.<br>
</p>
<h3 outline="span"><a name="span">span (block)</a></h3>
<table border="0" cellpadding="0" width="100%">
<tr><td width="3.5cm" class="attrdef" valign="top">class</td><td class="attrdesc" valign="top"><b>Class</b> [default: 'span']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">style</td><td class="attrdesc" valign="top"><b>Style</b></td></tr>
</table><spacer height="10">

Like HTML.<br>
<h3 outline="static"><a name="static">static (block)</a></h3>
<table border="0" cellpadding="0" width="100%">
<tr><td width="3.5cm" class="attrdef" valign="top">border</td><td class="attrdesc" valign="top"><b>Boolean</b> [default: '0']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">box*</td><td class="attrdesc" valign="top"><b>Box</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">name</td><td class="attrdesc" valign="top"><b>String</b></td></tr>
</table><spacer height="10">

<p> Hierbei handelt es sich um einen speziellen Frame, in den kein
Flie&szlig;text flie&szlig;t, sondern der Selbst einen immer
wiederkehrenden Teil des Templates definiert, z.B. als Kopf- oder
Fu&szlig;zeile.</p>
<p>Siehe auch <a href="#template">template</a>.</p>
<h3 outline="strong"><a name="strong">strong (block)</a></h3>
<table border="0" cellpadding="0" width="100%">
<tr><td width="3.5cm" class="attrdef" valign="top">class</td><td class="attrdesc" valign="top"><b>Class</b> [default: 'strong']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">style</td><td class="attrdesc" valign="top"><b>Style</b></td></tr>
</table><spacer height="10">

<p>Bold face. Q.v.&nbsp; <a href="#b">&lt;b&gt;</a>.</p>
<h3 outline="sub"><a name="sub">sub (block)</a></h3>
<table border="0" cellpadding="0" width="100%">
<tr><td width="3.5cm" class="attrdef" valign="top">class</td><td class="attrdesc" valign="top"><b>Class</b> [default: 'sub']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">style</td><td class="attrdesc" valign="top"><b>Style</b></td></tr>
</table><spacer height="10">

<p>Subscript.</p>
<h3 outline="sup"><a name="sup">sup (block)</a></h3>
<table border="0" cellpadding="0" width="100%">
<tr><td width="3.5cm" class="attrdef" valign="top">class</td><td class="attrdesc" valign="top"><b>Class</b> [default: 'sup']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">style</td><td class="attrdesc" valign="top"><b>Style</b></td></tr>
</table><spacer height="10">

<p>Q.v. <a href="#super">&lt;super&gt;</a>.</p>
<h3 outline="super"><a name="super">super (block)</a></h3>
<table border="0" cellpadding="0" width="100%">
<tr><td width="3.5cm" class="attrdef" valign="top">class</td><td class="attrdesc" valign="top"><b>Class</b> [default: 'super']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">style</td><td class="attrdesc" valign="top"><b>Style</b></td></tr>
</table><spacer height="10">

<p>Superscript.</p>
<h3 outline="table"><a name="table">table (block)</a></h3>
<table border="0" cellpadding="0" width="100%">
<tr><td width="3.5cm" class="attrdef" valign="top">align</td><td class="attrdesc" valign="top"><b>Choice</b> 'left', 'center', 'right' [default: 'left']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">bgcolor</td><td class="attrdesc" valign="top"><b>Color</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">border</td><td class="attrdesc" valign="top"><b>Size</b> [default: '0']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">bordercolor</td><td class="attrdesc" valign="top"><b>Color</b> [default: '#000000']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">cellpadding</td><td class="attrdesc" valign="top"><b>Size</b> [default: '1']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">class</td><td class="attrdesc" valign="top"><b>Class</b> [default: 'table']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">repeat</td><td class="attrdesc" valign="top"><b>Integer</b> [default: '0']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">style</td><td class="attrdesc" valign="top"><b>Style</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">valign</td><td class="attrdesc" valign="top"><b>Choice</b> 'top', 'bottom', 'middle' [default: 'middle']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">width</td><td class="attrdesc" valign="top"><b>String</b></td></tr>
</table><spacer height="10">

<p>Like HTML.<br>
</p>
<p>Complex example:</p>
<pre>&lt;table align="left" grid=#666666&gt;<br>  &lt;tr&gt;<br>    &lt;td width="8.0cm" bgcolor="#dddddd"&gt;<br>        &lt;p style=myleft&gt;<br>        &lt;b&gt;Beschreibung&lt;/b&gt;<br>    &lt;/td&gt;<br>    &lt;td width="1.6cm" bgcolor="#dddddd"&gt;<br>        &lt;p style=myright&gt;<br>        &lt;b&gt;Menge&lt;/b&gt;<br>    &lt;/td&gt;<br>    &lt;td width="3cm" bgcolor="#dddddd"&gt;<br>        &lt;p style=myright&gt;<br>        &lt;b&gt;Einzelpreis&lt;/b&gt;<br>    &lt;/td&gt;<br>    &lt;td width="3cm" bgcolor="#dddddd"&gt;<br>        &lt;p style=myright&gt;<br>        &lt;b&gt;Betrag&lt;/b&gt;<br>    &lt;/td&gt;<br>  &lt;/tr&gt;<br>&lt;/table&gt;</pre>
<h3 outline="td"><a name="td">td (block)</a></h3>
<table border="0" cellpadding="0" width="100%">
<tr><td width="3.5cm" class="attrdef" valign="top">align</td><td class="attrdesc" valign="top"><b>Choice</b> 'left', 'center', 'right', 'justify'</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">bgcolor</td><td class="attrdesc" valign="top"><b>Color</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">border</td><td class="attrdesc" valign="top"><b>Size</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">bordercolor</td><td class="attrdesc" valign="top"><b>Color</b> [default: '#000000']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">class</td><td class="attrdesc" valign="top"><b>Class</b> [default: 'td']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">colspan</td><td class="attrdesc" valign="top"><b>Integer</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">rowspan</td><td class="attrdesc" valign="top"><b>Integer</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">style</td><td class="attrdesc" valign="top"><b>Style</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">valign</td><td class="attrdesc" valign="top"><b>Choice</b> 'top', 'bottom', 'middle'</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">width</td><td class="attrdesc" valign="top"><b>String</b></td></tr>
</table><spacer height="10">

<p>Table column.</p>
<h3 outline="template"><a name="template">template (block)</a></h3>
<table border="0" cellpadding="0" width="100%">
<tr><td width="3.5cm" class="attrdef" valign="top">background</td><td class="attrdesc" valign="top"><b>File</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">format</td><td class="attrdesc" valign="top"><b>Choice</b> 'a0', 'a1', 'a2', 'a3', 'a4', 'a5', 'a6', 'b0', 'b1', 'b2', 'b3', 'b4', 'b5', 'b6', 'letter', 'legal', 'elevenseventeen' [default: 'a4']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">name</td><td class="attrdesc" valign="top"><b>String</b> [default: 'default']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">orientation</td><td class="attrdesc" valign="top"><b>Choice</b> 'portrait', 'landscape'</td></tr>
</table><spacer height="10">

<p> Definiert ein Seitentemplate, das verschiedene Frames enth&auml;lt.
Das erste vordefinierte Template hei&szlig;t "default" und besteht aus
einem einzelnen Frame. Dieses Template kann &uuml;berschrieben werden,
indem sie ein Template mit dem Namen "default"anlegen oder das
Attribut "name"einfach weg lassen. Achtung, sollten mehrere Templates
mit dem gleichen Namen definiert werden, so wird nur das zuletzt
definierte tats&auml;chlich benutzt!</p>
<p>F&uuml;r jedes einzelne Template kann auch eine andere
Seitengr&ouml;&szlig;e und -orientierung festgelegt werden. Wird das
nicht gemacht, dann greifen die Einstellungen aus &lt;document&gt;.</p>
<p>&Uuml;ber das Attribut &quot;background&quot; kann eine PDF Datei angegeben werden, die auf
  den Seiten die das Template benutzt wird in den Hintergrund gelegt wird. Aus
  technischen Gr&uuml;nden geht bei Benutzung dieses Features eine evtl. angelegtes
  &quot;Outline&quot; (siehe <a href="#h1">h1</a> etc.) dadurch verloren. </p>
<p>Siehe auch die Befehle <a href="#frame">frame</a> und <a href="#static">static</a>. </p>
<p>Hier ein kleines Beispiel:</p>
<pre>&lt;template name="default"&gt;<br>  &lt;frame name="head"<br>	 box="17,3cm 2.8cm 3.3cm 20cm"&gt;<br>  &lt;frame name="address"<br>         box="2.7cm 5.0cm 8.57cm 4.00cm"&gt;<br>  &lt;frame name="body" <br>         box="3.5cm 10.5cm 13.9cm 17.5cm"&gt;<br>&lt;/template&gt;<br><br>&lt;template name="sub"&gt;<br>    &lt;frame name="c"<br>           box="3.5cm 3.5cm 13.9cm 17.5cm"&gt;<br>&lt;/template&gt;</pre>
<h3 outline="th"><a name="th">th (block)</a></h3>
<table border="0" cellpadding="0" width="100%">
<tr><td width="3.5cm" class="attrdef" valign="top">align</td><td class="attrdesc" valign="top"><b>Choice</b> 'left', 'center', 'right', 'justify'</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">bgcolor</td><td class="attrdesc" valign="top"><b>Color</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">border</td><td class="attrdesc" valign="top"><b>Size</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">bordercolor</td><td class="attrdesc" valign="top"><b>Color</b> [default: '#000000']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">class</td><td class="attrdesc" valign="top"><b>Class</b> [default: 'th']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">colspan</td><td class="attrdesc" valign="top"><b>Integer</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">rowspan</td><td class="attrdesc" valign="top"><b>Integer</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">style</td><td class="attrdesc" valign="top"><b>Style</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">valign</td><td class="attrdesc" valign="top"><b>Choice</b> 'top', 'bottom', 'middle'</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">width</td><td class="attrdesc" valign="top"><b>String</b></td></tr>
</table><spacer height="10">

<p> Table head.</p>
<h3 outline="tr"><a name="tr">tr (block)</a></h3>
<table border="0" cellpadding="0" width="100%">
<tr><td width="3.5cm" class="attrdef" valign="top">bgcolor</td><td class="attrdesc" valign="top"><b>Color</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">border</td><td class="attrdesc" valign="top"><b>Size</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">bordercolor</td><td class="attrdesc" valign="top"><b>Color</b> [default: '#000000']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">class</td><td class="attrdesc" valign="top"><b>Class</b> [default: 'tr']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">style</td><td class="attrdesc" valign="top"><b>Style</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">valign</td><td class="attrdesc" valign="top"><b>Choice</b> 'top', 'bottom', 'middle'</td></tr>
</table><spacer height="10">

<p>Table row.</p>
<h3 outline="u"><a name="u">u (block)</a></h3>
<table border="0" cellpadding="0" width="100%">
<tr><td width="3.5cm" class="attrdef" valign="top">class</td><td class="attrdesc" valign="top"><b>Class</b> [default: 'u']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">style</td><td class="attrdesc" valign="top"><b>Style</b></td></tr>
</table><spacer height="10">

<p>Underlined.</p>
<h3 outline="ul"><a name="ul">ul (block)</a></h3>
<table border="0" cellpadding="0" width="100%">
<tr><td width="3.5cm" class="attrdef" valign="top">class</td><td class="attrdesc" valign="top"><b>Class</b> [default: 'ul']</td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">style</td><td class="attrdesc" valign="top"><b>Style</b></td></tr>
<tr><td width="3.5cm" class="attrdef" valign="top">type</td><td class="attrdesc" valign="top"><b>Choice</b> 'circle', 'disk', 'square' [default: 'disk']</td></tr>
</table><spacer height="10">

Ungeordered list.<br>
<h3 outline="version"><a name="version">version</a></h3>

*** not defined ***</p>
<nextpage>
<h1>Known bugs</h1>
<ul>
  <li>None</li>
</ul>
<h1>Future</h1>
<ul>
  <li>Better usage of TTF fonts</li>
  <li>Basis drawing functions </li>
  <li>Better CSS support</li>
  <li>Background pictures and PDF </li>
  <li>SVG integration</li>
  <li>Improve list feature</li>
  <li>Improve PRE</li>
  <li>Pagenumbers without need of &quot;example&quot; and page total </li>
  <li>Table of content generation</li>
  <li>Recent date</li>
  <li>Title of document</li>
</ul>
<h1>Contact</h1>
<p><strong>spirito GmbH<br>
  Dirk Holtwick</strong><br>
  E-Mail:<a href="mailto:info@spirito.de"> info@spirito.de</a><br>
Internet: <a href="http://www.spirito.de">www.spirito.de</a></p>

<nextpage>
<h1>Q Public License v1.0</h1>
<p> Copyright &copy;&nbsp;1999 Trolltech AS, Norway. </p>
<p> Everyone is permitted to copy and distribute this license document. </p>
<p> The intent of this license is to establish freedom to share and change the
  software regulated by this license under the open source model. </p>
<p> This license applies to any software containing a notice placed by the copyright
  holder saying that it may be distributed under the terms of the Q Public License
  version 1.0. Such software is herein referred to as the Software. This license
  covers modification and distribution of the Software, use of third-party application
  programs based on the Software, and development of free software which uses
  the Software. </p>
<p><strong>Granted Rights</strong></p>
<p>1. You are granted the non-exclusive rights set forth in this license provided
  you agree to and comply with any and all conditions in this license. Whole
  or partial distribution of the Software, or software items that link with the
  Software, in any form signifies acceptance of this license. </p>
<p> 2. You may copy and distribute the Software in unmodified form provided that
  the entire package, including - but not restricted to - copyright, trademark
  notices and disclaimers, as released by the initial developer of the Software,
  is distributed. </p>
<p> 3. You may make modifications to the Software and distribute your modifications,
  in a form that is separate from the Software, such as patches. The following
  restrictions apply to modifications: </p>
<p> a. Modifications must not alter or remove any copyright notices in the Software. </p>
<p> b. When modifications to the Software are released under this license, a
  non-exclusive royalty-free right is granted to the initial developer of the
  Software to distribute your modification in future versions of the Software
  provided such versions remain available under these terms in addition to any
  other license(s) of the initial developer. </p>
<p> 4. You may distribute machine-executable forms of the Software or machine-executable
  forms of modified versions of the Software, provided that you meet these restrictions: </p>
<p> a. You must include this license document in the distribution. </p>
<p> b. You must ensure that all recipients of the machine-executable forms are
  also able to receive the complete machine-readable source code to the distributed
  Software, including all modifications, without any charge beyond the costs
  of data transfer, and place prominent notices in the distribution explaining
  this. </p>
<p> c. You must ensure that all modifications included in the machine-executable
  forms are available under the terms of this license. </p>
<p> 5. You may use the original or modified versions of the Software to compile,
  link and run application programs legally developed by you or by others. </p>
<p> 6. You may develop application programs, reusable components and other software
  items that link with the original or modified versions of the Software. These
  items, when distributed, are subject to the following requirements: </p>
<p> a. You must ensure that all recipients of machine-executable forms of these
  items are also able to receive and use the complete machine-readable source
  code to the items without any charge beyond the costs of data transfer. </p>
<p> b. You must explicitly license all recipients of your items to use and re-distribute
  original and modified versions of the items in both machine-executable and
  source code forms. The recipients must be able to do so without any charges
  whatsoever, and they must be able to re-distribute to anyone they choose. </p>
<p> c. If the items are not available to the general public, and the initial
  developer of the Software requests a copy of the items, then you must supply
  one. </p>
<p><strong>Limitations of Liability</strong></p>
<p> In no event shall the initial developers or copyright holders be liable for
  any damages whatsoever, including - but not restricted to - lost revenue or
  profits or other direct, indirect, special, incidental or consequential damages,
  even if they have been advised of the possibility of such damages, except to
  the extent invariable law, if any, provides otherwise. </p>
<p><strong>No Warranty</strong> </p>
<p> The Software and this license document are provided AS IS with NO WARRANTY
  OF ANY KIND, INCLUDING THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS
  FOR A PARTICULAR PURPOSE. </p>
<p><strong>Choice of Law</strong></p>
<p> This license is governed by the Laws of Norway. Disputes shall be settled
  by Oslo City Court. </p>

            </document>
            