# -*- coding: ISO-8859-1 -*-
#############################################
## (C)opyright by Dirk Holtwick, 2002      ##
## All rights reserved                     ##
#############################################

__version__ = "$Revision: 1.8 $"
__author__  = "$Author: holtwick $"
__date__    = "$Date: 2007/04/05 13:39:06 $"

"""
TODO:
- Spacer
- Draw (special flowable)
- TOC, Special Hooks
- More List stuff
- Extension of Stylesheets (for bullets etc)
- Image size proportional
- Coords
- Alias and Include
- Rexec
- Tabellenzellenhhe vorgeben
- externe links
- alles unicode kompatibel machen
- neuen para mechanismus benutzen, bilder flow in
"""

import sys
import cgi
import copy
import string
import os
import os.path
import tempfile
import time
import types
import re
import cStringIO
import StringIO

try:
    import pyPdf
except:
    pyPdf = None

rxhttpstrip = re.compile("http://[^/]+(.*)", re.M|re.I)
rxcountpages = re.compile(r"$\s*/Type\s*/Page[/\s]", re.MULTILINE|re.DOTALL)

"""
wichtg das das vor den reportlab sachen steht, weil
Table bei reportlab und texttools definiert ist
"""

from htmlparser import *

from pml_utils import *
from pml_defs import *
from pml_tables import *
from pml_links import *
from pml_format import *
from pml_simple import *
from pml_lists import *
from pml_styles import *
from pml_images import *
from pml_charts import *
from pml_draw import *

import reportlab.platypus.para as npara
import reportlab

class PmlBaseDoc(BaseDocTemplate):

    """
    We use our own document template to get access to the canvas
    and set some informations once.
    """

    def beforePage(self):
        # Convert to ASCII because there is a Bug in Reportlab not
        # supporting other than ASCII. Send to list on 23.1.2007
        
        author = toString(self.pml_data.get("author", "")).encode("ascii","ignore")
        subject = toString(self.pml_data.get("subject", "")).encode("ascii","ignore")
        title = toString(self.pml_data.get("title", "")).encode("ascii","ignore")
        # print repr((author,title,subject))
        
        self.canv.setAuthor(author)
        self.canv.setSubject(subject)
        self.canv.setTitle(title)

        if self.pml_data.get("fullscreen", 0):
            self.canv.showFullScreen0()

        if self.pml_data.get("showoutline", 0):
            self.canv.showOutline()

        if self.pml_data.get("duration", None) is not None:
            self.canv.setPageDuration(self.pml_data["duration"])

class AttrContainer:

    """
    Convenince class for the attributes of the HTML tags. In this
    container already prepared values are saved.
    """
    
    def __init__(self):
        self._data = {}

    def get(self, name, default):
        return self._data.get(name, default)

    def has_key(self, name):
        return self._data.has_key(name)

    def __getitem__(self, name):
        return self._data.get(name, None)

    def __setitem__(self, name, value):
        self._data[name] = value

    def is_empty(self):
        return not self._data

    def items(self):
        return self._data.items()

    def __repr__(self):
        return repr(self.data)

    def __str__(self):
        return repr(self.data)

    def __getattr__(self, name):
        if self._data.has_key(name):
            return self._data[name]
        try:
            return self.__dict__[name]
        except:
            return None

class CreatePDF(
    PDFTables,
    PDFFormat,
    PDFDraw,
    PDFLinks,
    PDFSimple,
    PDFLists,
    PDFImages,
    PDFStyles,
    PDFCharts,
    HTMLParser,
    ):

    ## Init Document
    ################

    def __init__(self,
            src,
            dest,
            debug=0,
            path="",
            errout=None,
            log_warn=0,
            log_err=1,
            rootpath="",                        
            multivalent_path="",
            java_path='java',
            booklet=0,
            tempdir=None,
            **rest):
        """
        src - dateiname oder fileobjekt als quelle
        dest - dateiname oder fileobjekt als ziel
        debug - die rahmen um die frames werden angezeigt
        path - ursprungspfad, anhand dessen relative dateien berechnet werden
        log_warn - sollen warnings gelogt werden
        log_err - sollen errors gelogt werden
        booklet

        here all the magic will be done and the default styles will be defined.
        styles may also define just some properties, 'default' will always be the
        basis for everything else.
        """

        global FONTS
        global STYLES

        # fehlerbehandlung
        self.debug = debug
        self._log_err = log_err
        self._log_warn = log_warn
        self.log = []
        self.warn = 0
        self.err = 0
        self.bench = [0.0, 0.0, 0.0]
        
        self.tempdir = None
        if tempdir:
            self.tempdir = tempdir
            
        try:

            t1 = time.time()

            HTMLParser.__init__(self)

            self.story = [[]]
            self.styles = MakeDefaultStyles()
            self.nextstyle = "default"
            self.stylestack = [self.styles[self.nextstyle]]
            self.tabdata = []
            #~ self.tabargs = []
            self.out = []
            self.program = []
            self.tags = []
            self._effect = ""
            self._errout = errout
            self._pre = 0
            self._ctr = 0
            self._list = []
            self._statics = []
            self._draw = []
            self._path = ""
            self._chapter = None
            self._rootpath = rootpath
            self._linkpool = {}
            self._bgstory = []
            if path:
                self._path = os.path.dirname(os.path.abspath(path)) + os.sep
            else:
                if type(src)==type(""):
                    self._path = os.path.dirname(os.path.abspath(src)) + os.sep
            self._frames = []
            self._templates = {}
            self._templname = ""
            self._temp = 0
            self._pagesize = A4
            self._bgdata = None
            self._fonts = copy.copy(FONTS)
            self._outline = 0
            #self._align = ["LEFT"]
            self.outlevel = -1

            self.next_para(None)

            # in diesem dictionary werden alle relevanten informationen
            # zu dem dokument abgelegt, die dann vom doctemplate benutzt
            # werden

            self._ddata = {}

            # Quelle Lesen und Parsen

            if type(src)==type(""):
                data = open(src, "r").read()
            else:
                data = src.read()

            if not (multivalent_path and booklet):
                booklet = 0

            if booklet:
                data += "<nextpage template='blank'><p>&nbsp;</p>"

            self.feed(data, style_safe=1)

            self._flushLinkPool()

            t2 = time.time()
            self.bench[0] = t2-t1

            #--- Generate PDF with reportlab
            '''
            if 0: #type(dest)==type(""):
                self.doc = PmlBaseDoc(dest,
                    pagesize = self._pagesize,
                    author = self._ddata.get("author", ""),
                    title = self._ddata.get("title", ""),
                    showBoundary = debug)
            '''
            fname = tempfile.mktemp(dir=self.tempdir)
            self._temp = 1
            self.doc = PmlBaseDoc(fname,
                pagesize = self._pagesize,
                author = self._ddata.get("author", ""),
                title = self._ddata.get("title", ""),
                showBoundary = debug,
                allowSplitting = 1)

            self.doc.pagesize = self._pagesize
            self.flush_para()

            #--- Calc default template if user was to lazy
            x, y, w, h = getBox("1cm 1cm -1cm -1cm", self._pagesize)
            if not self._templates.has_key("default"):
                self._templates["default"] = PmlPageTemplate(
                    id="default",
                    frames=[
                        Frame(x, y, w, h, id="default",
                            leftPadding=0,
                            rightPadding=0,
                            bottomPadding=0,
                            topPadding=0)],
                    pagesize=self._pagesize)
                self._templates["default"].pml_bgstory = self._bgstory
            if booklet and (not self._templates.has_key("blank")):
                self._templates["blank"] = PmlPageTemplate(
                    id="blank",
                    frames=[
                        Frame(x, y, w, h, id="blank",
                            leftPadding=0,
                            rightPadding=0,
                            bottomPadding=0,
                            topPadding=0)],
                    pagesize=self._pagesize)
                self._templates["blank"].pml_bgstory = self._bgstory

            dtempl = self._templates["default"]
            del self._templates["default"]
            templ = [dtempl] + self._templates.values()

            self.doc.addPageTemplates(templ)        
            self.doc.pml_data = self._ddata

            self.doc._bgdata = self._bgdata

            t3 = time.time()
            self.bench[1] = t3-t2

            while len(self.tags):
                otag = self.tags.pop()
                self.warning("end of block end tag for <%s> expected" % otag)

            self.doc.build(self.story.pop())

            pages = 0

            data = open(fname, "rb").read()
            os.unlink(fname)
            
            # Add backgrounds using pyPDF
            if pyPdf:                
                for bgouter in self._bgstory:                    
                    # If we have at least one background, then lets do it
                    if bgouter:
                        istream = cStringIO.StringIO(data)
                        try:                            
                            output = pyPdf.PdfFileWriter()
                            input1 = pyPdf.PdfFileReader(istream)
                            ctr = 0                        
                            for bg in self._bgstory:                                
                                page = input1.getPage(ctr)
                                if bg:
                                    if os.path.exists(bg):                                    
                                        bginput = pyPdf.PdfFileReader(open(bg, "rb"))
                                        # page.mergePage(bginput.getPage(0))
                                        pagebg = bginput.getPage(0)
                                        pagebg.mergePage(page)
                                        page = pagebg 
                                    else:
                                        self.warning("Background PDF %s doesn't exist." % bg)
                                output.addPage(page)
                                ctr += 1
                            sout = cStringIO.StringIO()
                            output.write(sout)
                            data = sout.getvalue()
                        except Exception, e:
                            self.error("Exception: %s" % str(e))
                        istream.close()
                    # Found a background? So leave loop after first occurence
                    break

            #--- Create booklet using multivalent
            if booklet:

                # f = open("c:\dado.log", "a")
                try:

                    # Get pages                                        
                    pages = len(rxcountpages.findall(data)) + 1
                    # print >> f, "Pages", pages

                    # Create temp file
                    src = tempfile.mktemp(".pdf","booklet-", dir=self.tempdir)
                    open(src, "wb").write(data)
                    # print >> f, src

                    # Create pagenumber list
                    pagelist = range(1, pages+1)
                    if pages % 4:
                        # Blank pages
                        pagelist += [pages+1] * (4 - (pages % 4))
                    # print >> f, pagelist

                    # Reorder pages
                    pageorder = []
                    while pagelist:
                        pageorder.append(str(pagelist.pop(-1)))
                        pageorder.append(str(pagelist.pop(0)))
                        pageorder.append(str(pagelist.pop(-1)))
                        pageorder.append(str(pagelist.pop(0)))
                    # print >> f, pageorder

                    # Execute Impose
                    turn = "1r,2r,3r,4r"
                    if str(booklet).lower()=="turn":
                        turn = "1r,2r,3l,4l"
                    # -sep 1
                    cmd = '%s -classpath %s tool.pdf.Impose -dim 1x2 -layout %s -page %s %s -verbose >> C:\dado.exe.log' % (
                        java_path,
                        multivalent_path,
                        turn,
                        ",".join(pageorder),
                        src,
                        )
                    # print >> f, cmd
                    os.system(cmd)

                    # Get result
                    fdest = src[:-4] + "-up.pdf"
                    data = open(fdest, "rb").read()
                    # print >> f, fdest, len(data)

                    # Cleanup
                    os.unlink(src)
                    os.unlink(fdest)

                finally:
                    # f.close()
                    pass

            ####

            if type(dest)==type(""):
                dest = open(dest, "wb")
                dest.write(data)
                dest.close()
            else:
                dest.write(data)

            self.bench[2] = time.time()-t3

        except:
            self.log.append((PML_ERROR, 0, ErrorMsg(), ""))
            self.err += 1

    ## Handler
    ################

    def get_linepart(self, l=20):
        return string.replace(self._parser_text[self._parser_pos:self._parser_pos+l], "\n", " ")

    def warning(self, msg):
        self.warn += 1
        if self._log_warn:
            self.log.append((PML_WARNING, self.get_lineno(), str(msg), self.get_linepart(50)))

    def error(self, msg):
        self.err += 1
        if self._log_err:
            self.log.append((PML_ERROR, self.get_lineno(), str(msg), self.get_linepart(50)))

    def handle_starttag(self, tag, attrs):
        global TAGS

        if tag.startswith(PML_PREFIX):
            tag = tag[len(PML_PREFIX):]

        if TAGS.has_key(tag):
            nattrs = AttrContainer()
            #print tag, attrs, nattrs

            try:
                block, adef = TAGS[tag]
                #print "  #", block, adef
                if block:
                    if tag in ["p", "div", "table", "ol", "ul", "dl", "static", "h1", "h2", "h3", "h4", "h5", "h6", "h7", "hr", "nextpage", "nextframe", "pre", "spacer"]:
                        #self.next_para(None)
                        if "p" in self.tags:
                            otag = ""
                            while otag != "p":
                                if not self.tags:
                                    break
                                otag = self.tags.pop()
                                self.warning("end tag for <%s> expected" % otag)
                    self.tags.append(tag)

                for k, v in adef.items():
                    #print "  ",k,v
                    # defaults, wenn vorhanden
                    if type(v) == types.TupleType:
                        #print v
                        if v[1] == MUST:
                            if not attrs.has_key(k):
                                raise PML_EXCEPTION, "attribute '%s' must be set!" % (k)

                        nv = attrs.get(k, v[1])
                        dfl = v[1]
                        v = v[0]
                    else:
                        nv = attrs.get(k, None)
                        dfl = None

                    if nv is not None:

                        try:
                            del attrs[k]
                        except: pass

                        # list
                        if type(v)==types.ListType:
                            nv = nv.strip().lower()
                            if nv not in v:
                                #~ raise PML_EXCEPTION, "attribute '%s' of wrong value, allowed is one of: %s" % (k, repr(v))
                                self.warning("attribute '%s' of wrong value, allowed is one of: %s" % (k, repr(v)))
                                nv = dfl

                        # bool
                        elif v == BOOL:
                            nv = nv.strip().lower()
                            nv = nv in ("1", "y", "yes", "true")

                        # size
                        elif v == SIZE:
                            try:
                                nv = getSize(nv)
                            except:
                                raise PML_EXCEPTION, "attribute '%s' expects a size value" % (k)

                        # box
                        elif v == BOX:
                            nv = getBox(nv, self._pagesize)

                        # pos
                        elif v == POS:
                            nv = getPos(nv, self._pagesize)

                        # int
                        elif v == INT:
                            nv = int(nv)

                        # color
                        elif v == COLOR:
                            nv = getColor(nv)

                        # class name
                        elif v == CLASS:
                            nv = nv.lower().strip()                            
                            for klass in nv.split():
                                if not self.styles.has_key(klass):
                                    self.warning("class '%s' is not defined" % nv)
                                    nv = None
                                
                        # style definition
                        elif v == STYLE:
                            nv = self.ParseStyles(nv)

                        # file
                        elif v == FILE:
                            m = rxhttpstrip.match(nv)
                            if m is not None:
                                nv = m.group(1)
                            if nv[0] == "/":
                                nv = os.path.join(self._rootpath, nv[1:])
                            else:
                                nv = os.path.join(self._path, nv)
                            nv = nv.replace(r"\\", "\\")

                        # font
                        elif v == FONT:
                            nv = getFontname(self._fonts, nv)

                        nattrs[k] = nv

                for k in attrs.keys():
                    self.warning("attribute '%s' for tag <%s> not supported" % (k, tag))

                func = getattr(self, "start_%s" % tag, None)
                if func:
                    #~ print "??", tag, nattrs.items()
                    func(nattrs)
                else:
                    self.error("function for tag '%s' not defined" % tag)
            except PML_EXCEPTION, e:
                self.error(e)
            except Exception, e:
                self.error(ErrorMsg())
        else:
            self.warning("tag <%s> is not supported" % tag)

    def handle_endtag(self, tag):
        global TAGS
        if tag.startswith(PML_PREFIX):
            tag = tag[len(PML_PREFIX):]
        if TAGS.has_key(tag):
            try:
                block, adef = TAGS[tag]
                if block:
                    if len(self.tags):
                        otag = self.tags.pop() #otag = self.tags[-1]
                        while otag != tag:
                            self.warning("end tag for <%s> expected" % otag)
                            if not self.tags:
                                break
                            otag = self.tags.pop()
                        #else:
                        #    self.tags.pop()
                    else:
                        self.warning("unexpected end tag </%s>" % tag)

                func = getattr(self, "end_%s" % tag, None)
                if func:
                    func()
                else:
                    self.warning("[END TAG] function for tag '%s' not defined" % tag)
            except PML_EXCEPTION, e:
                self.error("[END TAG] " + str(e))
            except Exception, e:
                self.error("[END TAG] " + ErrorMsg())
        else:
            self.warning("end tag <%s> is not supported" % tag)

    def handle_data(self, data):
        " Normal text data "
        # print repr(data[:60])
        self.add(data)

    def handle_comment(self, data):
        " Comments are not handled in a special way "
        pass

    def handle_entityref(self, ref):
        " Entities are handled and converted as normal text "
        global ENTITIES
        if ref=="nbsp":
            self.add_noop()
            self.add("\xa0")
            # self.add("&nbsp;")            
            # self.add("\xc2\xa0")
        else:
            c = ENTITIES.get(ref, "")
            if c and c[0]=='&' and len(c)>1:
                c = ""
            if c:
                self.add(c)
            else:
                self.warning("problems width entityref '%s'" % ref)

    def handle_charref(self, ref):
        " Entities are handled and converted as normal text "
        ref = string.lower(str(ref))
        c = 0
        if ref[0]=="x":
            c = string.atoi(ref[1:], 16)
        else:
            c = string.atoi(ref, 10)
        if 0 < c < 256:
            self.add(chr(c))
        else:
            self.warning("problems width charref '%s'" % ref)

    ## Utilities
    ############

    def next_para(self, attrs=None, style="default"):
        """
        Evaluates the attributes and if it finds 'style' it uses
        this one for the following paragraph else it uses the one
        handed to this function
        """
        if len(self._list):
            self.program.append(('nextLine', 0))
        else:
            self.flush_para()

            # The name of the style
            self.nextstyle = style
            
            # Default styles            
            style = self.styles[self.nextstyle].copy()
            #print style
                        
            if attrs is not None:
                if attrs["class"] is not None:
                    #print "class:", attrs["class"]
                    for k in attrs["class"].split():
                        style = PmlStyle(parent=style, preset=self.styles[k].collect())
                    #print "class", style.dump()
                if attrs["style"] is not None:
                    #print "style:", attrs["style"]
                    style = PmlStyle(parent=style, preset=attrs["style"].collect())
                    #print "style", style.dump()

            #print "***", style, self.nextstyle
            #self.styles[self.nextstyle].dump()

            # style = self.styles[self.nextstyle].copy()
            if attrs is not None and attrs["align"] is not None:
                style["alignment"] = ["left", "center", "right", "", "justify"].index(string.lower(attrs["align"]))
           
            self.out = []
            self.program = []
            self.stylestack = []
            self.push_style(style)

    _lastblank = 0
    _lastpos = -1

    def normalizeString(self, prog, data):

        if data:        
            
            # To unicode
            data = toString("".join(data)) 
            
            # All Whitespaces are regular Spaces
            data = data.replace("\n", " ").replace("\t", " ").replace("\r", " ").replace("\f", " ")
            
            # Starts with a blank, but is not the last one              
            if (data[0]==" ") and (not self._lastblank) and (self._lastpos>=0):
                prog[self._lastpos] += " "
                
            self._lastblank = (data[-1]==" ")             
            data2 = data.strip(" ")
            
            if data2:
                datalst = map(lambda x: x + " ", data2.split(" "))
                if not self._lastblank:
                    datalst[-1] = datalst[-1][:-1]
                    
                prog += datalst 

                # Index of last element 
                self._lastpos = len(prog) - 1
                   
    def flush_para(self):
        """
        add the paragraph accumulated until now to the
        document story. the style defined before will be
        used and if we have lists the indents will be
        recalculated to fit better
        """        
       
        t = "".join(self.out).strip()        
        if t:
            
            # Get basic style
            # pstyle = PmlStyleObj("p", preset=self.styles["default"].collect())
            
            if self.stylestack:                
                pstyle = self.stylestack[0]     
            else:
                pstyle = PmlStyleObj("p", preset=self.styles["p"].collect())                
                
            #print "FLUSH", repr(style), self.stylestack
            #pstyle.dump()

            # Cleanup
            while self.pop_style():
                pass

            # Create style program for Reportlab
            #pstyle = PmlStyleObj("p", preset=style.collect())
            
            # Cleanup string data
            self._lastblank = 0
            self._lastpos = -1
            prog = []
            data = []           
            
            if not self._pre:
                
                # Normal paragraphs
                # -----------------
                
                for e in self.program:                    
                    if type(e)==type(""):    
                        # Collect succeding strings                    
                        data.append(e)
                    else:
                        # Add strings
                        self.normalizeString(prog, data)
                        # Re-add program element                                                         
                        prog.append(e)
                        # Reset string
                        data = []   
                                            
                # Handle remaining string data
                if data:
                    self.normalizeString(prog, data)                    

            else:

                # PRE!!!
                # ------
                
                """
                XXX Spaces in beginning of the line are ignored!
                Maybe we have to try a different approach to get
                a real PRE handling.
                """
                
                for e in self.program:                    
                    if type(e)==type(""):    
                        # Collect succeding strings                    
                        data.append(e)
                    else:
                        # Add strings            
                        ll = toString("".join(data)).splitlines()
                        if ll:
                            for l in ll[:-1]:
                                prog.append(l)
                                prog.append(("nextLine", 0))
                            prog.append(ll[-1])                                                        
                        # Re-add program element                                                         
                        prog.append(e)
                        # Reset string
                        data = []   
                                            
                # Handle remaining string data
                if data:
                    ll = toString("".join(data)).splitlines()
                    for l in ll[:-1]:
                        prog.append(l)
                        prog.append(("nextLine", 0))
                    prog.append(ll[-1])    
                                        
            # Debug program
            # print prog

            # Wrap paragraph in style
            p = PmlPara(pstyle, parsedText="", bulletText=None, state=None)
            p.program = prog
            self.add_story(p)

        self.linkstyle = 0
        self.out = []
        self.program = []
        self.stylestack = []        
        self.push_style(self.styles["default"])

    def push_style(self, style):
        """
        Styles etc. merken und applizieren
        """
        if len(self.stylestack):
            nstyle = PmlStyleObj(style.get_name() + self.UID(), self.stylestack[-1], preset=style.collect())
            nstyle.start_program(self.program, self.stylestack[-1])
        else:
            nstyle = PmlStyleObj(style.get_name() + self.UID(), preset=style.collect())
            nstyle.start_program(self.program)
        #~ if self.debug:
            #~ style.dump()
        #nstyle.dump("!  ")
        self.stylestack.append(nstyle)

    def pop_style(self):
        """
        Alles wieder schn aufrumen
        """
        if len(self.stylestack):
            popstyle = self.stylestack.pop()
            popstyle.stop_program(self.program)
        return len(self.stylestack)

    def add_story(self, el):
        """
        Add an element to the document story
        """
        #if 1: #not self._pre:
        if len(self.story):
            self.story[-1].append(el)
        # print "story:", repr(el)

    def add(self, data, escape=1):
        """
        Add some pure text to the paragraph
        """
        data = str(data)                                
        self.out.append(data)
        if escape:
            self.program.append(data)
            # print "prog", repr(data[:60])

    def add_noop(self):
        self.out.append("<noop>")

    def UID(self):
        " Unique ID "
        self._ctr = self._ctr + 1
        return "id" + str(self._ctr)
