# -*- coding: ISO-8859-1 -*-
#############################################
## (C)opyright by Dirk Holtwick, 2002      ##
## All rights reserved                     ##
#############################################

__version__ = "$Revision: 1.1 $"
__author__  = "$Author: holtwick $"
__date__    = "$Date: 2006/12/27 18:02:37 $"

"""
This is just an example of how to integrate the Drawing features 
of the reportlab library. To use it, modify the pml_defs file.
"""

from reportlab.lib.units import inch, cm
from reportlab.lib.styles import *
from reportlab.lib.enums import *
from reportlab.lib.colors import *
from reportlab.lib.pagesizes import *
from reportlab.pdfbase import pdfmetrics
from reportlab.platypus import *
from reportlab.platypus.flowables import Flowable
from reportlab.graphics.shapes import Drawing
from reportlab.graphics.charts.barcharts import VerticalBarChart

class PmlChart(Drawing):

    def __init__(self, x, y, strokeColor):
        self._pml_strokeColor = strokeColor
        Drawing.__init__(self, x, y)

    def wrap(self, availWidth, availHeight):
        self.width = availWidth
        return (self.width, self.height)

    def draw(self):
        #drawing = self
        data = [
            (13, 5, 20, 22, 37, 45, 19, 4),
            (14, 6, 21, 23, 38, 46, 20, 5)
            ]
        bc = VerticalBarChart()
        bc.x = 40
        bc.y = 0
        bc.height = 200
        bc.width = self.width - 80
        bc.data = data
        bc.strokeColor = self._pml_strokeColor
        bc.valueAxis.valueMin = 0
        bc.valueAxis.valueMax = 50
        bc.valueAxis.valueStep = 10
        bc.categoryAxis.labels.boxAnchor = 'ne'
        bc.categoryAxis.labels.dx = 8
        bc.categoryAxis.labels.dy = -2
        bc.categoryAxis.labels.angle = 30
        bc.categoryAxis.categoryNames = ['Jan-99','Feb-99','Mar-99','Apr-99','May-99','Jun-99','Jul-99','Aug-99']
        self.add(bc)
        Drawing.draw(self)

class PDFCharts:

    def start_chart(self, attrs):
        self.next_para()
        self.add_story(PmlChart(200,200, attrs["strokecolor"]))
