# -*- coding: ISO-8859-1 -*-
#############################################
## (C)opyright by Dirk Holtwick, 2002      ##
## All rights reserved                     ##
#############################################
__version__ = "$Revision: 1.2 $"
__author__  = "$Author: holtwick $"
__date__    = "$Date: 2007/01/23 11:13:33 $"
"""
In order use the SVG image feature you have install 
the svglib by Dinu Gherman (gherman at darwin in-berlin de)
"""
from reportlab.lib.units import inch, cm
from reportlab.lib.styles import *
from reportlab.lib.enums import *
from reportlab.lib.colors import *
from reportlab.lib.pagesizes import *
from reportlab.pdfbase import pdfmetrics
from reportlab.platypus import *
from reportlab.platypus.flowables import Flowable
try:
    import svglib
except:
    pass
import os.path

class PmlSVG(Flowable):
    def __init__(self, path, width=None, height=None):
        self.width = width
        self.height = height
        self.drawing = svglib.svg2rlg(path)
    def wrap(self, availWidth, availHeight):
        w = self.width
        h = self.height
        if self.height is None:
            self.height = self.width * self.drawing.height / self.drawing.width
        elif self.width is None:
            self.width = self.height * self.drawing.width / self.drawing.height
        return (self.width, self.height)
    def draw(self):
        self.drawing.scale(self.width / self.drawing.width, self.height / self.drawing.height)
        self.drawing.drawOn(self.canv, 0, 0)

class PDFImages:
    def start_img(self, attrs):
        # OKAY
        """
        <img src=? width=? height=? align="left|center|right">
        """
        if os.path.isfile(attrs.src):
            if attrs.src.split(".")[-1].lower() == "svg":
                self.next_para()
                img = PmlSVG(attrs.src, attrs.width, attrs.height)
                img.hAlign = string.upper(attrs.align)
                self.add_story(img)
            else:
                try:
                    oldnextstyle = self.nextstyle
                    self.next_para(style="img")
                    _width = attrs.width
                    _height = attrs.height
                    _img = Image(attrs.src, attrs.width, attrs.height)
                    _img.hAlign = string.upper(attrs.align)
                    if (_width is None) and (_height is not None):
                        factor = float(_height) / _img.imageHeight
                        _img.drawWidth = _img.imageWidth * factor
                    elif (_height is None) and (_width is not None):
                        factor = float(_width) / _img.imageWidth
                        _img.drawHeight = _img.imageHeight * factor
                    self.add_story(_img)
                    self.next_para(style=oldnextstyle)
                except Exception, e:
                    self.warning("Error in handling image '%s': %s" % (attrs.src, str(e)))
        else:
            self.warning("File '%s' does not exist." % attrs.src)
        '''
        width = self._width
        height = self._height
        kind = self._kind
        (self.imageWidth, self.imageHeight) = self._img.getSize()
        if self._lazy>=2: del self._img
        if kind in ['direct','absolute']:
            self.drawWidth = width or self.imageWidth
            self.drawHeight = height or self.imageHeight
        elif kind in ['percentage','%']:
            self.drawWidth = self.imageWidth*width*0.01
            self.drawHeight = self.imageHeight*height*0.01
        elif kind in ['bound','proportional']:
            factor = min(float(width)/self.imageWidth,float(height)/self.imageHeight)
            self.drawWidth = self.imageWidth*factor
            self.drawHeight = self.imageHeight*factor
        '''
