# -*- coding: ISO-8859-1 -*-
#############################################
## (C)opyright by Dirk Holtwick, 2002      ##
## All rights reserved                     ##
#############################################

__version__ = "$Revision: 1.6 $"
__author__  = "$Author: holtwick $"
__date__    = "$Date: 2007/03/28 12:50:36 $"

"""
alles was mit verweisen und verzeichnissen zu tun hat

 - outline
 - h1 .. h7
 - bookmark
 - link(box)
 - a
"""

from pml_utils import *

from reportlab.lib.units import inch, cm
from reportlab.lib.styles import *
from reportlab.lib.enums import *
from reportlab.lib.colors import *
from reportlab.lib.pagesizes import *
from reportlab.pdfbase import pdfmetrics
from reportlab.platypus import *
from reportlab.platypus.flowables import Flowable

class PmlChapter(Flowable):

    _ctr = 0

    def __init__(self, title, parent, level=0, open=0, istmp=0):
        self._parent = parent
        self._title = toString(title)
        self._level = level
        self._open  = open
        self._istmp = istmp

    def wrap(self, *args):
        return (0, 0)

    def UID(self):
        return toString("key_%s" % self._parent.UID())

    def setTitle(self, s):
        if self._istmp:
            self._title = toString(s)
    
    def draw(self):
        l = self._parent.outlevel + 1
        while l < self._level:
            key = self.UID()
            self.canv.bookmarkPage(key)
            self.canv.addOutlineEntry(self._title, key, l, self._open)
            l += 1
        key = self.UID()
        self._parent.outlevel = self._level
        self.canv.bookmarkPage(key)
        self.canv.addOutlineEntry(self._title, key, self._level, self._open)

'''
class PmlBookmark(Flowable):

    def __init__(self, name):
        self._bname = name

    def wrap(self, *args):
        return (0,0)

    def draw(self):
        self.canv.bookmarkPage(self._bname)


class PmlLink(Flowable):

    def __init__(self, name, url, box, border=1):
        self._bname = name
        self._border = border
        self._isurl = url
        self._box = box

    def wrap(self, *args):
        return (0,0)

    def draw(self):
        if self._isurl:
            self.canv.linkURL(self._bname, self._box, thickness=self._border)
        else:
            if self._border:
                self.canv.linkAbsolute(self._bname, self._bname, self._box)
            else:
                self.canv.linkAbsolute(self._bname, self._bname, self._box)
'''

class PDFLinks:

    '''
    def start_outline(self, attrs):
        #self._outline = 3
        self._outline = int(attrs.get("level", 0))
        self.add("outline" + str(self._outline))

    def end_outline(self):
        pass
    '''
    
    def _start_hx(self, attrs, level=0):
        if 0: #attrs.has_key("outline") or (self._outline > level):
            if self._chapter is not None:
                self.warning("Seem that you mixed header with other data")
            ident = toString(attrs.get("outline", "level%d" % (level + 1)))
            print "ident", repr(ident)
            self._chapter = PmlChapter(
                    ident, 
                    self, 
                    level, 
                    attrs.get("closed", 0), 
                    istmp = not attrs.outline)
            self.add_story(self._chapter)
        self.next_para(attrs, "h%d" % (level + 1))

    def start_h1(self, attrs):
        self._start_hx(attrs, 0)

    def start_h2(self, attrs):
        self._start_hx(attrs, 1)

    def start_h3(self, attrs):
        self._start_hx(attrs, 2)

    def start_h4(self, attrs):
        self._start_hx(attrs, 3)

    def start_h5(self, attrs):
        self._start_hx(attrs, 4)

    def start_h6(self, attrs):
        self._start_hx(attrs, 5)

    def start_h7(self, attrs):
        self._start_hx(attrs, 6)

    def end_h1(self):
        if self._chapter is None:
            self.warning("Seem that you mixed header with other data")
        else:
            header = toString("".join(self.out).strip())
            self._chapter.setTitle(header)
            # print repr(header)
        self._chapter = None
        self.next_para()

    end_h7 = end_h6 = end_h5 = end_h4 = end_h3 = end_h2 = end_h1

    #def start_bookmark(self, attrs):
    #    """
    #    <bookmark name=''>
    #    """
    #    self.add_story(PmlBookmark(attrs.name))

    #def start_linkbox(self, attrs):
    #    """
    #    <link name='' url='' box="">
    #    """
    #    x, y, w, h = attrs.box #self.getCoords(attrs)
    #    w = x + w
    #    h = y + h
    #    if attrs.has_key("url"):
    #        self.add_story(PmlLink(attrs["url"], url=1, box=(x, y, w, h)))
    #    elif attrs.has_key("name"):
    #        self.add_story(PmlLink(attrs["name"], url=0, box=(x, y, w, h)))

    def _flushLinkPool(self):
        for name, v in self._linkpool.items():
            if v==0:
                self.warning("Anchor '%s' not defined" % name)
                self.link = PmlAnchor(name)
                self.program.append(('lineOperation', self.link))
                self.program.append(('endLineOperation', self.link))

    def start_a(self, attrs):
        self.linkstyle = 0
        #~ print attrs.href,  attrs.name
        if attrs.name is not None:
            #~ print "anchor", attrs.name
            name = attrs.name
            self.link = PmlAnchor(name)
            self.program.append(('lineOperation', self.link))
            self.program.append(('endLineOperation', self.link))
            self._linkpool[name] = self._linkpool.get(name, 0) + 1
        if attrs.href is not None:
            #~ print "href", attrs.href
            href = attrs.href
            self.linkstyle = 1
            self.push_style(self.styles["a"])
            if href[0]=="#":
                name = href[1:]
                self.link = PmlInternalLink(name)
                self._linkpool[name] = self._linkpool.get(name, 0)
            else:
                self.link = PmlLink(href)
            self.program.append(('lineOperation', self.link))

    def end_a(self):
        if self.linkstyle:
            #~ print "a weg"
            self.program.append(('endLineOperation', self.link))
            self.pop_style()
