# -*- coding: ISO-8859-1 -*-
#############################################
## (C)opyright by Dirk Holtwick, 2002      ##
## All rights reserved                     ##
#############################################

__version__ = "$Revision: 1.1 $"
__author__  = "$Author: holtwick $"
__date__    = "$Date: 2006/12/27 18:02:37 $"

from reportlab.lib.units import inch, cm
from reportlab.lib.styles import *
from reportlab.lib.enums import *
from reportlab.lib.colors import *
from reportlab.lib.pagesizes import *
from reportlab.pdfbase import pdfmetrics
from reportlab.platypus import *
from reportlab.platypus.flowables import Flowable
from pml_utils import *

class PDFLists:

    def start_ul(self, attrs):
        if len(self._list)==0:
            self.next_para(attrs, "ul")
            self.lct = 0
        self.program.append(('push', 0))
        style = self.stylestack[-1]
        li = style.bulletIndent
        self.program.append(("indent", li))
        self._list.append(None)

    def start_ol(self, attrs):
        if len(self._list)==0:
            self.next_para(attrs, "ol")
            self.lct = 0
        self.program.append(('push', 0))
        style = self.stylestack[-1]
        li = style.bulletIndent
        self.program.append(("indent", li))
        self._list.append(1)

    def start_dl(self, attrs):
        if len(self._list)==0:
            self.next_para(attrs, "dl")
            self.lct = 0
        self.program.append(('push', 0))
        #style = self.stylestack[-1]
        #li = style.bulletIndent
        #self.program.append( ("indent", li) )
        self._list.append("dl")

    def end_ul(self):
        self.program.append(('pop', 0))
        self._list.pop()
        if len(self._list)==0:
            self.next_para(None)

    end_dl = end_ol = end_ul

    def start_li(self, attrs):
        bullet = u"\u2022" # rund klein    #chr(0xb7) # u"\u8226"
        if len(self._list):
            if self.lct:
                self.program.append(('nextLine', 0))
            self.lct += 1
            id = self._list[-1]
            style = self.stylestack[-1]
            bi = (len(self._list)-1) * style.bulletIndent
            if id==None:
                self.program.append(("bullet", toString(bullet), bi, style.fontName, style.fontSize))
            elif type(id)==type(1):
                self.program.append(("bullet", toString("%d." % (id)), bi, style.fontName, style.fontSize))
                self._list[-1] += 1

        else:
            self.warning("<li> tag without list definition")

    def end_li(self):
        pass

    def start_dt(self, attrs):
        if len(self._list):
            if self.lct:
                self.program.append(("indent", -20))
                self.program.append(('nextLine', 0))
            self.lct += 1

    def end_dt(self):
        self.add(" ")

    def start_dd(self, attrs):
        self.program.append(("indent", 20))

    def end_dd(self):
        pass

