#!/usr/local/bin/python
# -*- coding: ISO-8859-1 -*-
#############################################
## (C)opyright by Dirk Holtwick, 2002      ##
## All rights reserved                     ##
#############################################

__version__ = "$Revision: 1.1 $"
__author__  = "$Author: holtwick $"
__date__    = "$Date: 2005/08/26 09:03:38 $"

from spirito.pisa import pml
import spirito.tools.filetools as filetools
import sys

BENCH = """
BENCHMARKING:
parsing   %.4f sec
document  %.4f sec
create    %.4f sec
""".strip()

if __name__=="__main__":
    for src in filetools.dirtree("d:\\selfhtml", pattern=["*.html", "*.htm"], depth=2, dpattern=None):
        srcl = src.split(".")
        srcl[-1] = "pdf"
        dest = ".".join(srcl)
        print src, "  ---->  ",dest
        pdf = pml.CreatePDF(
            src,
            dest,
            debug = 0,
            errout = sys.stdout,
            log_warn = 0,
            log_err = 1
            )

        if pdf.log:
            for mode, line, msg, code in pdf.log:
                print "%s in line %d: %s" % (mode, line, msg)

        if pdf.err:
            print "*** %d ERRORS OCCURED" % pdf.err
        else:
            print BENCH % tuple(pdf.bench)
        print
